#ifndef _DTC_H_
#define _DTC_H_

#include <Arduino.h>

#define MAX_DTC_STORAGE 16

#define DTC_NO_GPS_SERIAL 100

typedef enum DTCActive_e
{
DTC_ACTIVE,
DTC_PREVIOUS,
DTC_NONE
} DTCActive_s;

typedef struct DTCEntry_s
{
  uint32_t Number;
  uint32_t timestamp;
  DTCActive_s active;
} DTCEntry_t;

void MaintainDTC(uint32_t DTC_no, boolean active);
void ClearDTC(uint32_t DTC_no);
void ClearAllDTC();
uint32_t getlastDTC(boolean only_active);

#endif